Subject: [Sigtran] [M3UA] Error code discrepancy in M3UA RFC 4666

From: Ash Kat <[email-masked]>
Date: Wed, 5 Mar 2008 10:54:39 +0530 (IST)

Hello Experts:
 
I have found some discrepancy in the error codes mentioned in M3UA RFC 4666.
 
According to section 4.3.4.3 of RFC 4666 (ASP active procedures)
- If the RC parameter is included in the ASP Active message and a
     corresponding RK has not been previously defined (by either static
     configuration or dynamic registration), the peer MUST respond with
     an ERROR message with the Error Code "No configured AS for ASP".
 
Whereas, in section 3.8.1 the description of error code "No configured AS for ASP" is as follows:
 The "No Configured AS for ASP" error is sent if a message is received
   from a peer without a Routing Context parameter and it is not known
   by configuration data which Application Servers are referenced.
 
There is a similar discrepancy in case:
   - If the RC parameter is not included in the ASP Active message and
     there are no RKs defined, the peer node SHOULD respond with and
     ERROR message with the Error Code "Invalid Routing Context".
 
Whereas, in section 3.8.1 
 -  The "Invalid Routing Context" error is sent if a message is received
   from a peer with an invalid (unconfigured) Routing Context value.
   For this error, the invalid Routing Context(s) MUST be included in
   the Error message.
 
IMO, in the first scenario error code sent to peer should be "Invalid Routing Context" 
and in second scenario error code sent should be "No configured AS for ASP".
 
Please correct me if I am wrong.
 
Thanks & Regards,
Ashwani Kathuria

      Forgot the famous last words? Access your message archive online at http://in.messenger.yahoo.com/webmessengerpromo.php

_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran